package it.integry.integrywmsnative.gest.accettazione_bolla_elenco.rest.dto;

import java.math.BigDecimal;
import java.time.LocalDate;

public class SitBollaAccettazioneDTO {

    private int numDoc;
    private LocalDate dataDoc;
    private String serDoc;
    private String codDtip;
    private String codMart;
    private String codArtFor;
    private String partitaMag;

    private BigDecimal qtaDoc;
    private BigDecimal qtaCnfDoc;
    private BigDecimal numCnfDoc;
    private BigDecimal qtaDaAccettare;
    private BigDecimal numCnfDaAccettare;

    public int getNumDoc() {
        return numDoc;
    }

    public SitBollaAccettazioneDTO setNumDoc(int numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public LocalDate getDataDoc() {
        return dataDoc;
    }

    public SitBollaAccettazioneDTO setDataDoc(LocalDate dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public SitBollaAccettazioneDTO setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public SitBollaAccettazioneDTO setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getCodMart() {
        return codMart;
    }

    public SitBollaAccettazioneDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getCodArtFor() {
        return codArtFor;
    }

    public SitBollaAccettazioneDTO setCodArtFor(String codArtFor) {
        this.codArtFor = codArtFor;
        return this;
    }

    public String getPartitaMag() {
        return partitaMag;
    }

    public SitBollaAccettazioneDTO setPartitaMag(String partitaMag) {
        this.partitaMag = partitaMag;
        return this;
    }

    public BigDecimal getQtaDoc() {
        return qtaDoc;
    }

    public SitBollaAccettazioneDTO setQtaDoc(BigDecimal qtaDoc) {
        this.qtaDoc = qtaDoc;
        return this;
    }

    public BigDecimal getQtaCnfDoc() {
        return qtaCnfDoc;
    }

    public SitBollaAccettazioneDTO setQtaCnfDoc(BigDecimal qtaCnfDoc) {
        this.qtaCnfDoc = qtaCnfDoc;
        return this;
    }

    public BigDecimal getNumCnfDoc() {
        return numCnfDoc;
    }

    public SitBollaAccettazioneDTO setNumCnfDoc(BigDecimal numCnfDoc) {
        this.numCnfDoc = numCnfDoc;
        return this;
    }

    public BigDecimal getQtaDaAccettare() {
        return qtaDaAccettare;
    }

    public SitBollaAccettazioneDTO setQtaDaAccettare(BigDecimal qtaDaAccettare) {
        this.qtaDaAccettare = qtaDaAccettare;
        return this;
    }

    public BigDecimal getNumCnfDaAccettare() {
        return numCnfDaAccettare;
    }

    public SitBollaAccettazioneDTO setNumCnfDaAccettare(BigDecimal numCnfDaAccettare) {
        this.numCnfDaAccettare = numCnfDaAccettare;
        return this;
    }
}
